/*
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated:2010-09-17
Author:Richard Clark - http://richclarkdesign.com
Twitter:@rich_clark
*/

html,
body,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}

body {
	line-height: 1;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

nav ul {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
	content: '';
	content: none;
}

a {
	margin: 0;
	padding: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}

/* change colours to suit your needs */

ins {
	background-color: #ff9;
	color: #000;
	text-decoration: none;
}

/* change colours to suit your needs */

mark {
	background-color: #ff9;
	color: #000;
	font-style: italic;
	font-weight: bold;
}

del {
	text-decoration: line-through;
}

abbr[title],
dfn[title] {
	border-bottom: 1px dotted;
	cursor: help;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

input,
select {
	vertical-align: middle;
}

html {
	box-sizing: border-box;
}

*,
*:before,
*:after {
	outline: none;
	box-sizing: inherit;
}

@font-face {
	font-family: 'icomoon';
	src: url("/assets/icomoon.eot");
	src: url("/assets/icomoon.eot?#iefix") format("embedded-opentype"), url("/assets/icomoon.ttf") format("truetype"), url("/assets/icomoon.svg#icomoon") format("svg");
	font-weight: normal;
	font-style: normal;
}

[class^="icon-"],
[class*=" icon-"] {
	display: inline-block;
	font-family: 'icomoon';
	speak: none;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1; /* Better Font Rendering =========== */
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

html {
	height: 100%;
	-webkit-font-smoothing: antialiased;
}

body {
	min-height: 100%;
	min-width: 800px;
	padding: 0;
	margin: 0;
	position: relative;
	font: 400 14px/1.4 Roboto, Arial, sans-serif;
	color: #111;
	overflow-y: scroll;
	tap-highlight-color: transparent;
}

body.noScrollbar {
	overflow: hidden;
}

body > iframe {
	display: none;
}

#console {
	position: fixed;
	z-index: 9999;
	font-size: 11px;
	color: yellow;
	max-width: 100%;
	word-break: break-all;
	left: 0;
	top: 0;
	background: rgba(0, 0, 0, 0.8);
	padding: 20px;
	box-shadow: 0 0 0 3px yellow;
}

#console .time {
	color: red;
	margin-right: 1em;
}

.container {
	max-width: 1600px;
	margin: 0 auto;
	padding: 0 30px;
	box-sizing: content-box;
}

.floatr {
	float: right;
}

.hidden,
input[hidden] {
	display: none !important;
}

.centered {
	text-align: center;
}

.show-mobile {
	display: none;
}

.touch .show-mobile {
	display: block;
}

.touch .hidden-mobile {
	display: none;
}

.unselectable {
	-webkit-user-select: none;
	   -moz-user-select: none;
	    -ms-user-select: none;
	        user-select: none;
}

body.loading:before {
	position: fixed;
	content: '';
	display: block;
	z-index: 9999;
	top: 3px;
	left: 3px;
	right: 3px;
	border-radius: 3px;
	box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
	width: 0;
	height: 4px;
	text-align: center;
	background: color(blue);
	-webkit-animation: 4s infinite pageLoading alternate;
	        animation: 4s infinite pageLoading alternate;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: Roboto, Arial, sans-serif;
	font-weight: 700;
}

h1 {
	font-size: 3em;
}

h2 {
	font-size: 2em;
}

h3 {
	font-size: 1.7em;
}

h4 {
	font-size: 1.3em;
}

img[data-src] {
	opacity: 0;
	-webkit-transition: opacity 0.2s;
	        transition: opacity 0.2s;
}

img[data-src].loaded {
	opacity: 1;
}

button,
label {
	cursor: pointer;
	font-family: inherit;
	font-size: 1em;
}

p {
	color: #444;
	padding: 1em 0;
}

input.empty {
	color: #999;
}

a {
	color: #37B1E5;
	cursor: pointer;
}

a:hover {
	text-decoration: underline;
	color: #1577a1;
}

a.type1 {
	color: #888;
	text-decoration: underline;
	font-size: 0.9em;
}

a.type1:hover {
	text-decoration: none;
	color: #333;
}

.percentage::after {
	content: '%';
}

i.info {
	display: inline-block;
	text-align: center;
	vertical-align: middle;
	font-size: 10px;
	font-weight: 600;
	font-style: normal;
	border-radius: 50%;
	width: 1.5em;
	height: 1.5em;
	line-height: 1.5;
	box-sizing: content-box;
	box-shadow: 0 0 0 1px;
	cursor: help;
	-webkit-transition: 0.1s;
	        transition: 0.1s;
}

i.info:hover {
	border-color: #222;
	background: #222;
	color: #FFF;
}

.repaint {
	-webkit-animation: repaint 1ms;
	        animation: repaint 1ms;
}

.editable[contenteditable]:empty:before {
	content: attr(placeholder);
	color: #FFF;
	opacity: .25;
	background: none;
	white-space: pre-wrap;
	-webkit-transition: .2s;
	        transition: .2s;
}

.editable[contenteditable]:hover {
	border-color: #DDD;
}

.editable[contenteditable]:focus {
	border-color: #999;
}

.editable[contenteditable]:focus::before {
	opacity: .12;
}

.editable[contenteditable].filled::before {
	content: '\200B';
}

.no-smil .editable[contenteditable]:focus {
	border-color: #777;
}

.no-smil .editable[contenteditable]:focus::before {
	opacity: 1;
	content: '\200B';
}

input::-webkit-input-placeholder {
	color: #AAA;
}

input::-moz-placeholder {
	color: #AAA;
}

input:-ms-input-placeholder {
	color: #AAA;
}

input::placeholder {
	color: #AAA;
}

#modal {
	opacity: 0;
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	text-align: center;
	z-index: -1;
	padding: 0 20px;
	background: rgba(204, 204, 204, 0.8);
	-webkit-backface-visibility: hidden;
	-webkit-transition: opacity 0.25s;
	        transition: opacity 0.25s;
}

#modal:after {
	content: '';
	display: inline-block;
	vertical-align: middle;
	height: 100%;
}

#modal.show {
	z-index: 999;
	opacity: 1;
}

#modal.show > .wrap {
	opacity: 1;
	-webkit-transform: none;
	    -ms-transform: none;
	        transform: none;
	-webkit-transition: 0.3s 0.1s cubic-bezier(0.15, 0.53, 0.34, 1);
	        transition: 0.3s 0.1s cubic-bezier(0.15, 0.53, 0.34, 1);
}

#modal.show > .wrap > .content {
	box-shadow: 0 0 0 8px rgba(204, 204, 204, 0.4);
}

#modal.show > .wrap > .outside {
	top: -2em;
}

#modal.show ~ .shepherd {
	display: none;
}

#modal.hide {
	opacity: 0;
	-webkit-transition-delay: 120ms;
	        transition-delay: 120ms;
}

#modal.hide > .wrap {
	-webkit-transition-delay: 0s;
	        transition-delay: 0s;
}

#modal > .wrap,
#modal.hide > .wrap {
	display: inline-block;
	opacity: 0;
	width: 98%;
	vertical-align: middle;
	position: relative;
	-webkit-transform: scale(1.2);
	-ms-transform: scale(1.2);
	    transform: scale(1.2);
}

#modal > .wrap > .outside,
#modal.hide > .wrap > .outside {
	position: absolute;
	top: 0;
	width: 100%;
	text-align: center;
	font-size: 1em;
	color: #FFF;
	-webkit-transition: 0.3s cubic-bezier(0.15, 0.53, 0.34, 1);
	        transition: 0.3s cubic-bezier(0.15, 0.53, 0.34, 1);
}

#modal .wrap > .content {
	position: relative;
	display: inline-block; /* min-width:$modalMinWidth; */
	padding: 0 0;
	background: #000;
	color: #FFF;
	min-height: 150px;
	border-radius: 3px;
}

#modal .wrap > .content > a.close {
	position: absolute;
	z-index: 1;
	top: -0.5em;
	right: -0.5em;
	color: #000;
	text-decoration: none;
	font-size: 2.5em;
	text-align: center;
	line-height: 0.7;
	width: 1em;
	height: 1em;
	background: #FFF;
	border-radius: 50%;
	padding: 5px;
	cursor: pointer;
	-webkit-transition: 0.2s;
	        transition: 0.2s;
}

#modal .wrap > .content > a.close:hover {
	box-shadow: 0 0 0 8px rgba(255, 255, 255, 0.2);
	color: color(red);
}

#modal .wrap > .content h1 {
	font-weight: 600;
	font-size: 2em;
	margin-bottom: 20px;
}

#modal.noCloseBtn .close {
	display: none;
}

#modal.loading .wrap > .content {
	background: #FFF url("../images/loaders/loading-bubbles-lightBG.svg") 50% 50%/20% no-repeat;
}

#modal form {
	padding-bottom: 5px;
}

#modal form footer {
	text-align: center;
}

#modal form footer button {
	width: 100%;
	margin-bottom: .6em;
	font-size: 1.2em;
	line-height: 2;
	font-weight: 600;
}

#modal form footer button:before {
	line-height: 1;
}

/* No files to import found in vendor//* */

.ToDoComponent {
	border-radius: 6px;
	position: relative;
}

.ToDoComponent input {
	-webkit-transform: scale(1.5);
	    -ms-transform: scale(1.5);
	        transform: scale(1.5);
}

.ToDoComponent .selectAllLabel {
	opacity: 0;
	margin-left: -2.5em;
	-webkit-transition: .12s ease-out;
	        transition: .12s ease-out;
}

.ToDoComponent .editable {
	padding: .5em;
	margin: 5px 5px 5px 0;
	-webkit-align-self: center;
	    -ms-flex-item-align: center;
	        align-self: center;
}

.ToDoComponent .removeList {
	display: none;
	position: absolute;
	right: 0;
	top: 0;
	border: 0;
	background: #D34747;
	color: #FFF;
	font-size: 1.3em;
	border-radius: 3px 3px 0 0;
	-webkit-transform: translateY(-90%);
	    -ms-transform: translateY(-90%);
	        transform: translateY(-90%);
}

.ToDoComponent:only-child .removeList {
	display: none !important;
}

.ToDoComponent:hover .removeList {
	display: inline-block;
}

.ToDoComponent.hasItems .selectAllLabel {
	opacity: 1;
	margin: 0;
}

.ToDoComponent__header {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: baseline;
	-webkit-align-items: baseline;
	    -ms-flex-align: baseline;
	        align-items: baseline;
	background: rgba(0, 0, 0, 0.5);
	border-radius: 6px 6px 0 0;
	overflow: hidden;
}

.ToDoComponent__header label {
	display: inline-block;
	padding: 1.4em 1em;
}

.ToDoComponent__header .addToDoItem {
	-webkit-box-flex: 1;
	-webkit-flex: 1 1;
	    -ms-flex: 1 1;
	        flex: 1 1;
	font-size: 1.4em;
	color: rgba(255, 255, 255, 0.9);
}

.ToDoComponent__items-left::before {
	content: attr(data-items-left);
	margin-right: .2em;
}

.ToDoComponent__list:empty ~ .ToDoComponent__footer {
	position: absolute;
	left: -9999px;
}

.ToDoComponent__footer {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-webkit-align-items: center;
	    -ms-flex-align: center;
	        align-items: center;
	-webkit-align-content: stretch;
	    -ms-flex-line-pack: stretch;
	        align-content: stretch;
	-webkit-flex-wrap: nowrap;
	    -ms-flex-wrap: nowrap;
	        flex-wrap: nowrap;
	-webkit-box-pack: justify;
	-webkit-justify-content: space-between;
	    -ms-flex-pack: justify;
	        justify-content: space-between;
	background: rgba(255, 255, 255, 0.7);
	padding: 1em;
	border-radius: 0 0 6px 6px;
}

.ToDoComponent__footer .filter {
	position: relative;
	-webkit-align-self: baseline;
	    -ms-flex-item-align: baseline;
	        align-self: baseline;
}

.ToDoComponent__footer .filter > span {
	display: inline-block;
	margin: 0 2px;
	padding: .5em;
	position: relative;
	z-index: 1;
	color: #333;
	cursor: pointer;
	border-radius: 8px;
}

.ToDoComponent__footer .filter > span.active {
	background: rgba(0, 0, 0, 0.1);
	font-weight: 700;
}

.ToDoComponent__footer .clearCompleted {
	background: none;
	border: 0;
}

.ToDoComponent__footer .clearCompleted:hover {
	color: #D34747;
}

.ToDoComponent__item {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	position: relative;
	box-shadow: 0 -1px rgba(0, 0, 0, 0.1) inset;
	background: rgba(255, 255, 255, 0.8);
	overflow: hidden;
	-webkit-transition: .2s ease-out;
	        transition: .2s ease-out;
}

.ToDoComponent__item label {
	padding: 1.4em 1em;
}

.ToDoComponent__item__text {
	-webkit-box-flex: 1;
	-webkit-flex: 1 1;
	    -ms-flex: 1 1;
	        flex: 1 1;
	font-size: 1.3em;
}

.ToDoComponent__item__text[contenteditable]:focus {
	box-shadow: 1px 1px 3px 1px rgba(0, 0, 0, 0.4) inset;
	border-radius: 3px;
	background: #FFF;
	-webkit-transition: 0s;
	        transition: 0s;
	text-decoration: none !important;
}

.ToDoComponent__item__text[contenteditable]:focus ~ button {
	-webkit-transform: scale(0);
	    -ms-transform: scale(0);
	        transform: scale(0);
}

.ToDoComponent__item__remove {
	position: absolute;
	right: .1em;
	top: .7em;
	width: 30px;
	height: 30px;
	padding-bottom: 2px;
	background: none;
	border: 0;
	color: #D34747;
	font-size: 1.6em;
	border-radius: 50%;
	-webkit-transform: scale(0);
	    -ms-transform: scale(0);
	        transform: scale(0);
	-webkit-transition: .25s ease-out;
	        transition: .25s ease-out;
}

.ToDoComponent__item__remove:hover {
	background: rgba(211, 71, 71, 0.1);
	-webkit-transition: .1s;
	        transition: .1s;
}

.ToDoComponent__item:hover .ToDoComponent__item__remove {
	-webkit-transform: none;
	    -ms-transform: none;
	        transform: none;
}

.ToDoComponent__item.completed .ToDoComponent__item__text {
	opacity: .4;
	text-decoration: line-through;
}

.ToDoComponent[data-filter=active] .ToDoComponent__list .completed {
	max-height: 0;
}

.ToDoComponent[data-filter=completed] .ToDoComponent__list li:not(.completed) {
	max-height: 0;
}

.ToDoPage {
	background: #000 url("../images/background.jpg") 0 0/cover no-repeat;
}

.ToDoPage #header {
	background: rgba(0, 0, 0, 0.4);
	padding: 1em;
}

.ToDoPage #header .filter {
	display: inline-block;
	margin-left: 2em;
	vertical-align: middle;
}

.ToDoPage #header .filter > a {
	display: inline-block;
	margin: 0 2px;
	padding: .5em;
	position: relative;
	z-index: 1;
	color: #DDD;
	cursor: pointer;
	border-radius: 8px;
	text-decoration: none;
}

.ToDoPage #header .filter > a.active {
	background: rgba(255, 255, 255, 0.2);
	font-weight: 700;
}

.ToDoPage .addList {
	float: right;
	background: #56BC5D;
	color: #FFF;
	font-size: 1.4em;
	font-weight: 800;
	border-radius: 4px;
	border: 0;
	padding: 0.3em 2em;
}

.ToDoPage .addList:hover {
	background: #70c676;
}

.ToDoPage .pageTitle {
	display: inline-block;
	vertical-align: middle;
	color: #EEE;
	font-size: 1.6em;
	font-weight: 700;
}

.ToDoPage .ToDoWrap {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: start;
	-webkit-align-items: flex-start;
	    -ms-flex-align: start;
	        align-items: flex-start;
	-webkit-align-content: stretch;
	    -ms-flex-line-pack: stretch;
	        align-content: stretch;
	-webkit-flex-wrap: wrap;
	    -ms-flex-wrap: wrap;
	        flex-wrap: wrap;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	padding-top: 2em;
}

.ToDoPage .ToDoComponent {
	min-width: 500px;
	max-width: 650px;
	box-shadow: 0 0 0 6px rgba(0, 0, 0, 0.2), 0 2px 10px rgba(0, 0, 0, 0.3);
	margin: 1em;
}

.ToDoPage .giLink {
	position: fixed;
	bottom: 10px;
	right: 10px;
	color: rgba(255, 255, 255, 0.5);
	text-decoration: none;
	font-size: 1.6em;
	font-weight: 700;
	-webkit-transition: .1s;
	        transition: .1s;
}

.ToDoPage .giLink:hover {
	color: #FFF;
}

/* No files to import found in modals//* */

@media screen and (max-width: 960px) {

body:after {
	height: 108px;
}

.ToDoComponent .editable {
	font-size: 1.2em;
}

}

@media screen and (max-width: 700px) {

#modal.respHeight {
	font-size: 0.8em;
}

#modal.respHeight form .item {
	margin-bottom: 3px;
}

#modal.respHeight form .item:last-child {
	margin: 0;
}

#modal.respHeight form input {
	padding: 0.6em;
}

}

@media screen and (max-width: 480) {

body {
	font-size: 0.8em;
}

.container {
	padding: 0 15px;
}

.show-mobile {
	display: block;
}

.hidden-mobile {
	display: none;
}

#modal .wrap > .content h1 {
	font-size: 1.6em;
}

#modal > .wrap > .content {
	width: 100%;
	max-width: none;
	padding: 15px;
}

}

@-webkit-keyframes pulsate {

50% {
	opacity: .5;
}

}

@keyframes pulsate {

50% {
	opacity: .5;
}

}

@-webkit-keyframes bounceOut {

30% {
	-webkit-transform: scale(1.2);
	        transform: scale(1.2);
	opacity: 1;
}

50% {
	-webkit-transform: scale(0.8);
	        transform: scale(0.8);
	opacity: 1;
}

75% {
	-webkit-transform: scale(1.1);
	        transform: scale(1.1);
	opacity: 1;
}

100% {
	-webkit-transform: scale(1);
	        transform: scale(1);
	opacity: 1;
}

}

@keyframes bounceOut {

30% {
	-webkit-transform: scale(1.2);
	        transform: scale(1.2);
	opacity: 1;
}

50% {
	-webkit-transform: scale(0.8);
	        transform: scale(0.8);
	opacity: 1;
}

75% {
	-webkit-transform: scale(1.1);
	        transform: scale(1.1);
	opacity: 1;
}

100% {
	-webkit-transform: scale(1);
	        transform: scale(1);
	opacity: 1;
}

}

@-webkit-keyframes repaint {

from {
	width: 99.999%;
}

to {
	width: 100%;
}

}

@keyframes repaint {

from {
	width: 99.999%;
}

to {
	width: 100%;
}

}

@-webkit-keyframes pageLoading {

0% {
	width: 0;
}

50% {
	width: calc(100% - 6px);
	left: 3px;
}

100% {
	width: 0;
	left: calc(100% - 6px);
}

}

@keyframes pageLoading {

0% {
	width: 0;
}

50% {
	width: calc(100% - 6px);
	left: 3px;
}

100% {
	width: 0;
	left: calc(100% - 6px);
}

}

